Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
PrettyUnitTestResultPrinter Class Reference
Inheritance diagram for PrettyUnitTestResultPrinter:

## Public Member Functions
| PrettyUnitTestResultPrinter ()
virtual void | OnTestProgramStart (const UnitTest &)
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &)
virtual void | OnTestCaseStart (const TestCase &test_case)
virtual void | OnTestStart (const TestInfo &test_info)
virtual void | OnTestPartResult (const TestPartResult &result)
virtual void | OnTestEnd (const TestInfo &test_info)
virtual void | OnTestCaseEnd (const TestCase &test_case)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
virtual void | OnTestProgramEnd (const UnitTest &)
| PrettyUnitTestResultPrinter ()
virtual void | OnTestProgramStart (const UnitTest &)
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &)
virtual void | OnTestCaseStart (const TestCase &test_case)
virtual void | OnTestStart (const TestInfo &test_info)
virtual void | OnTestPartResult (const TestPartResult &result)
virtual void | OnTestEnd (const TestInfo &test_info)
virtual void | OnTestCaseEnd (const TestCase &test_case)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
virtual void | OnTestProgramEnd (const UnitTest &)
| PrettyUnitTestResultPrinter ()
virtual void | OnTestProgramStart (const UnitTest &)
virtual void | OnTestIterationStart (const UnitTest &unit_test, int iteration)
virtual void | OnEnvironmentsSetUpStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsSetUpEnd (const UnitTest &)
virtual void | OnTestCaseStart (const TestCase &test_case)
virtual void | OnTestStart (const TestInfo &test_info)
virtual void | OnTestPartResult (const TestPartResult &result)
virtual void | OnTestEnd (const TestInfo &test_info)
virtual void | OnTestCaseEnd (const TestCase &test_case)
virtual void | OnEnvironmentsTearDownStart (const UnitTest &unit_test)
virtual void | OnEnvironmentsTearDownEnd (const UnitTest &)
virtual void | OnTestIterationEnd (const UnitTest &unit_test, int iteration)
virtual void | OnTestProgramEnd (const UnitTest &)
Public Member Functions inherited from TestEventListener
virtual | ~TestEventListener ()
virtual | ~TestEventListener ()
virtual | ~TestEventListener ()

## Static Public Member Functions
static void | PrintTestName (const char *test_case, const char *test)
static void | PrintTestName (const char *test_case, const char *test)
static void | PrintTestName (const char *test_case, const char *test)

## Constructor & Destructor Documentation

PrettyUnitTestResultPrinter | ( |  | ) |
| inline

PrettyUnitTestResultPrinter | ( |  | ) |
| inline

PrettyUnitTestResultPrinter | ( |  | ) |
| inline

## Member Function Documentation

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsSetUpStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnEnvironmentsTearDownStart | ( | const UnitTest & | unit_test | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseEnd | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestCaseStart | ( | const TestCase & | test_case | ) |
| virtual

Implements TestEventListener.

virtual void OnTestEnd | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

void OnTestEnd | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

virtual void OnTestEnd | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

virtual void OnTestIterationEnd | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

virtual void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

virtual void OnTestIterationStart | ( | const UnitTest & | unit_test,
|  | int | iteration
| ) |  |
| virtual

Implements TestEventListener.

void OnTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestEventListener.

virtual void OnTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestEventListener.

virtual void OnTestPartResult | ( | const TestPartResult & | result | ) |
| virtual

Implements TestEventListener.

virtual void OnTestProgramEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnTestProgramEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnTestProgramEnd | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnTestProgramStart | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnTestProgramStart | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnTestProgramStart | ( | const UnitTest & |  | ) |
| inline virtual

Implements TestEventListener.

virtual void OnTestStart | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

void OnTestStart | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

virtual void OnTestStart | ( | const TestInfo & | test_info | ) |
| virtual

Implements TestEventListener.

static void PrintTestName | ( | const char * | test_case,
|  | const char * | test
| ) |  |
| inline static

static void PrintTestName | ( | const char * | test_case,
|  | const char * | test
| ) |  |
| inline static

static void PrintTestName | ( | const char * | test_case,
|  | const char * | test
| ) |  |
| inline static

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/src/gtest.cc
- testing/googleTest/fused-src/gtest/gtest-all.cc